Bug 974670 - [abrt] abrt-addon-ccpp-2.1.4-3.fc18: abrt-action-perform-ccpp-analysis:37:handle_event:NameError: global name 'RETURN_FAILURE' is not defined
[abrt] abrt-addon-ccpp-2.1.4-3.fc18: abrt-action-perform-ccpp-analysis:37:han...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
19
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: abrt
Fedora Extras Quality Assurance
abrt_hash:35301adb63b1f41d1ff36649e51...
:
Depends On: 971194
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-14 15:09 EDT by Jakub Filak
Modified: 2016-11-30 19:44 EST (History)
10 users (show)

See Also:
Fixed In Version: abrt-2.1.5-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 971194
Environment:
Last Closed: 2013-06-18 02:14:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jakub Filak 2013-06-14 15:09:52 EDT
+++ This bug was initially created as a clone of Bug #971194 +++

Version-Release number of selected component:
abrt-addon-ccpp-2.1.4-3.fc18

Additional info:
reporter:       libreport-2.1.4
cmdline:        python /usr/bin/abrt-action-perform-ccpp-analysis
executable:     /usr/bin/abrt-action-perform-ccpp-analysis
kernel:         3.9.4-200.fc18.i686.PAE
runlevel:       N 5
uid:            1000

Truncated backtrace:
abrt-action-perform-ccpp-analysis:37:handle_event:NameError: global name 'RETURN_FAILURE' is not defined

Traceback (most recent call last):
  File "/usr/bin/abrt-action-perform-ccpp-analysis", line 106, in <module>
    sys.exit(run_analyze_smart(vars(OPTIONS)['problem_dir']))
  File "/usr/bin/abrt-action-perform-ccpp-analysis", line 64, in run_analyze_smart
    retval = handle_event("analyze_RetraceServer", problem_dir)
  File "/usr/bin/abrt-action-perform-ccpp-analysis", line 37, in handle_event
    return RETURN_FAILURE
NameError: global name 'RETURN_FAILURE' is not defined

Local variables in innermost frame:
event_name: 'analyze_RetraceServer'
state: <report.run_event_state object at 0xb7495b48>
problem_dir: '.'
ret: 0

--- Additional comment from Wilbert Isaac Cortés González on 2013-06-06 02:58:33 CEST ---



--- Additional comment from Wilbert Isaac Cortés González on 2013-06-06 02:58:36 CEST ---



--- Additional comment from Wilbert Isaac Cortés González on 2013-06-06 02:58:40 CEST ---



--- Additional comment from Brallan Jesús Aguilar Rivera on 2013-06-08 06:01:57 CEST ---

Description of problem:
I was reporting a problem, but some files no was found.

Version-Release number of selected component:
abrt-addon-ccpp-2.1.4-3.fc18

Additional info:
reporter:       libreport-2.1.4
cmdline:        python /usr/bin/abrt-action-perform-ccpp-analysis
executable:     /usr/bin/abrt-action-perform-ccpp-analysis
kernel:         3.9.4-200.fc18.i686
runlevel:       N 5
uid:            1000

Truncated backtrace:
abrt-action-perform-ccpp-analysis:37:handle_event:NameError: global name 'RETURN_FAILURE' is not defined

Traceback (most recent call last):
  File "/usr/bin/abrt-action-perform-ccpp-analysis", line 106, in <module>
    sys.exit(run_analyze_smart(vars(OPTIONS)['problem_dir']))
  File "/usr/bin/abrt-action-perform-ccpp-analysis", line 78, in run_analyze_smart
    retval = handle_event("analyze_LocalGDB", problem_dir)
  File "/usr/bin/abrt-action-perform-ccpp-analysis", line 37, in handle_event
    return RETURN_FAILURE
NameError: global name 'RETURN_FAILURE' is not defined

Local variables in innermost frame:
event_name: 'analyze_LocalGDB'
state: <report.run_event_state object at 0x9dcc638>
problem_dir: '.'
ret: 0

--- Additional comment from Jakub Filak on 2013-06-10 14:38:28 CEST ---

Fixed in upstream:

commit 1d0c4c21a23cedb147138a3e65864e6ed63fbc90
Author: Jakub Filak <jfilak@redhat.com>
Date:   Thu Jun 6 08:07:25 2013 +0200

    a-a-p-ccpp-analysis: import all used attributes
    
    Closes rhbz#971194
    
    Signed-off-by: Jakub Filak <jfilak@redhat.com>
    Signed-off-by: Martin Milata <mmilata@redhat.com>
Comment 1 Fedora Update System 2013-06-14 18:24:06 EDT
abrt-2.1.5-1.fc19,libreport-2.1.5-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/abrt-2.1.5-1.fc19,libreport-2.1.5-1.fc19
Comment 2 Fedora Update System 2013-06-15 13:04:53 EDT
Package abrt-2.1.5-1.fc19, libreport-2.1.5-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing abrt-2.1.5-1.fc19 libreport-2.1.5-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-10886/abrt-2.1.5-1.fc19,libreport-2.1.5-1.fc19
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2013-06-18 02:14:24 EDT
abrt-2.1.5-1.fc19, libreport-2.1.5-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.